﻿using System;
using System.Windows;
using System.Collections.Generic;

namespace XamDataGridMaxLengthInStyle
{
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			Loaded += new RoutedEventHandler(Window1_Loaded);
		}

		void Window1_Loaded(object sender, RoutedEventArgs e)
		{
			try
			{
				BindDataToEmployeeDetailsGrid();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);   
			}
		}

		private void BindDataToEmployeeDetailsGrid()
		{
			List<Employee> employeeList = new List<Employee>();
			employeeList.Add(new Employee { EmployeeName = "abc", WorkDescription = "Developer" });
			employeeList.Add(new Employee { EmployeeName = "ghj", WorkDescription = "Tester" });

			employeeDetailsGrid.DataSource = employeeList;  
		}
	}

	internal class Employee
	{
		public string EmployeeName { get; set; }
		public string WorkDescription { get; set; }
	}
}
